Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config
Class AnnotationsConfigurationBuilder

    java.lang.Object
      org.mule.config.builders.AbstractConfigurationBuilder
          org.mule.config.AnnotationsConfigurationBuilder

All Implemented Interfaces:
  ConfigurationBuilder

Direct Known Subclasses:
  AbstractAnnotationConfigurationBuilder

    public class AnnotationsConfigurationBuilder

extends AbstractConfigurationBuilder

Enables Mule annotation processing so that annotated objects registered with the Mule registry will automatically be configured. This helper also enables JSR-330 injection annotations `javax.inject.Inject` and `javax.inject.Named`.

Internal Implementation note: We could have used a 'registry-bootstrap.properties' file to load the objects necessary to enable annotations however, that method would not allow the annotation processors to be easily overridden when using other platforms such as Google App Engine.

Since:
  3.0

Field Summary

Fields inherited from class org.mule.config.builders.AbstractConfigurationBuilder
`configured, logger`

Constructor Summary
`AnnotationsConfigurationBuilder()`

Method Summary
`protected AnnotationsParserFactory` | `createAnnotationsParserFactory()`
`protected void` | `doConfigure(MuleContext muleContext)` Will configure a MuleContext based on the configuration provided.

Methods inherited from class org.mule.config.builders.AbstractConfigurationBuilder
`applyLifecycle, configure, isConfigured`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationsConfigurationBuilder

    public AnnotationsConfigurationBuilder()

Method Detail

### doConfigure

    protected void doConfigure(MuleContext muleContext)
                        throws Exception

  Description copied from class: `AbstractConfigurationBuilder`
  Will configure a MuleContext based on the configuration provided. The configuration will be set on the `ConfigurationBuilder` implementation as bean properties before this method has been called.

  Specified by:
    `doConfigure` in class `AbstractConfigurationBuilder`
  Parameters:
    `muleContext` - The current `MuleContext`
  Throws:
    `ConfigurationException` - if the configuration fails i.e. an object cannot be created or initialised properly
    `Exception`

### createAnnotationsParserFactory

    protected AnnotationsParserFactory createAnnotationsParserFactory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.